import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { NgbModule } from "@ng-bootstrap/ng-bootstrap";
import { WorkspacesRoutingModule } from "./workspaces-routing.module";
import { WorkspacesComponent } from "./workspaces.component";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { CapabilityRequestComponent } from "./components/capability-request/capability-request.component";
import { RequestHeaderComponent } from "./components/capability-request/components/request-header/request-header.component";
import { CapabilityDefinitionComponent } from "./components/capability-request/components/capability-definition/capability-definition.component";
import { ParametersComponent } from "./components/capability-request/components/parameters/parameters.component";
import { CreateNewVersionFormComponent } from "./components/capability-request/components/create-new-version-form/create-new-version-form.component";
import { StatusBadgeComponent } from "./components/capability-request/components/status-badges/status-badge.component";
import { AnalystToolsComponent } from "./components/analyst-tools/analyst-tools.component";
import { ListOfCalibratablesComponent } from "./components/list-of-calibratables/list-of-calibratables.component";
import { FilesComponent } from "./components/capability-request/components/files/files.component";
import { RequestOperationsComponent } from "./components/capability-request/components/request-operations/request-operations.component";
import { MetadataComponent } from './components/capability-request/components/metadata/metadata.component';
import { ManualCalibrateObservationComponent } from "./components/list-of-calibratables/components/manual-calibrate-observation/manual-calibrate-observation.component";
@NgModule({
  declarations: [
    WorkspacesComponent,
    CapabilityRequestComponent,
    RequestHeaderComponent,
    StatusBadgeComponent,
    CapabilityDefinitionComponent,
    ParametersComponent,
    CreateNewVersionFormComponent,
    AnalystToolsComponent,
    ListOfCalibratablesComponent,
    FilesComponent,
    RequestOperationsComponent,
    MetadataComponent,
    ManualCalibrateObservationComponent
  ],
  imports: [CommonModule, NgbModule, WorkspacesRoutingModule, ReactiveFormsModule, FormsModule],
})
export class WorkspacesModule {}
