from workspaces.capability.services.capability_info import CapabilityInfo

pytest_plugins = ["testing.utils.conftest"]


def test_edit_capability(mock_capability_info: CapabilityInfo):
    """
    Tests that edit_capability method properly follows its logic
    """

    starting_flush_call_count = mock_capability_info.session.flush.call_count
    mock_capability_info.session.update.return_value = 1
    # Test edit with all inputs
    assert mock_capability_info.edit_capability("null", "test", 2)
    assert mock_capability_info.session.flush.call_count == starting_flush_call_count + 1
    # Test edit with just name and steps
    assert mock_capability_info.edit_capability("null", steps="test")
    assert mock_capability_info.session.flush.call_count == starting_flush_call_count + 2
    # Test edit with just name and max_jobs
    assert mock_capability_info.edit_capability("null", max_jobs=2)
    assert mock_capability_info.session.flush.call_count == starting_flush_call_count + 3
    # Test edit with just name
    assert mock_capability_info.edit_capability("null")
    assert mock_capability_info.session.flush.call_count == starting_flush_call_count + 3
    # Test "unable to edit" condition
    mock_capability_info.session.update.return_value = 0
    assert not mock_capability_info.edit_capability("null", "test", 2)
    assert mock_capability_info.session.flush.call_count == starting_flush_call_count + 3
