"""
Tests for workflow.message_architect
"""

from immutable_views import DictView
from workspaces.workflow.message_architect import WorkflowMessageArchitect

r1 = {"request_id": -1}


class TestWorkflowMessageArchitect:
    def test_get_message_template(self):
        execution_msg = WorkflowMessageArchitect(request=r1).get_message_template("workflow_failed")
        assert execution_msg == DictView(
            {
                "service": None,
                "routing_key": None,
                "subject": None,
                "type": "workflow-failed",
            }
        )

        request_msg = WorkflowMessageArchitect(previous_info=r1).get_message_template("ingestion_complete")
        assert request_msg == DictView(
            {
                "service": None,
                "routing_key": None,
                "subject": None,
                "type": "ingestion-complete",
            }
        )

    def test_compose_msg(self):
        execution_msg = WorkflowMessageArchitect(request=r1).compose_message("workflow_failed")
        assert execution_msg == DictView(
            {
                "service": "workflow",
                "routing_key": "workflow",
                "subject": {"request_id": -1},
                "type": "workflow-failed",
            }
        )
