from __future__ import annotations

from typing import Dict, List

from workspaces.system.schema import JSONSerializable


class WorkflowRequestFileIF(JSONSerializable):
    filename: str
    content: bytes


class WorkflowTemplateIF(JSONSerializable):
    filename: str
    content: bytes


class WorkflowIF(JSONSerializable):
    workflow_name: str
    uses_casa: bool
    templates: List[WorkflowTemplateIF]
    requests: List[WorkflowRequestIF]

    def render_templates(self, argument: Dict) -> List[WorkflowRequestFileIF]:
        pass


class WorkflowRequestIF(JSONSerializable):
    workflow_request_id: int
    workflow: WorkflowIF
    workflow_name: str
    argument: str  # JSON-formatted
    state: str
    results_dir: str
    files: List[WorkflowRequestFileIF]
    job_id: str
